Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IIOP_Transport Class Reference

Specialization of the base TAO_Transport class to handle the IIOP protocol. More...

`#include <IIOP_Transport.h>`

Inheritance diagram for TAO_IIOP_Transport:

[legend]
Collaboration diagram for TAO_IIOP_Transport:

[legend]
List of all members.

## Overridden Template Methods
Please check the documentation in "tao/Transport.h" for more details.
virtual int | send_request (TAO_Stub *stub, TAO_ORB_Core *orb_core, TAO_OutputCDR &stream, int twoway, ACE_Time_Value *max_wait_time)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual int | send_message (TAO_OutputCDR &stream, TAO_Stub *stub=0, int twoway=1, ACE_Time_Value *max_time_wait=0)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual int | generate_request_header (TAO_Operation_Details &opdetails, TAO_Target_Specification &spec, TAO_OutputCDR &msg)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual int | messaging_init (CORBA::Octet major, CORBA::Octet minor)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual int | tear_listen_point_list (TAO_InputCDR &cdr)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual ACE_Event_Handler * | event_handler_i (void)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual TAO_Pluggable_Messaging * | messaging_object (void)
| Access the underlying messaging object. More...
virtual ssize_t | send_i (iovec *iov, int iovcnt, size_t &bytes_transferred, const ACE_Time_Value *timeout=0)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual ssize_t | recv_i (char *buf, size_t len, const ACE_Time_Value *s=0)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual int | register_handler_i (void)
| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. More...
virtual void | transition_handler_state_i (void)
| Method to do whatever it needs to do when the connection handler is being closed and destroyed. More...
## Public Methods
| TAO_IIOP_Transport (TAO_IIOP_Connection_Handler *handler, TAO_ORB_Core *orb_core, CORBA::Boolean flag)
| Constructor. More...
| ~TAO_IIOP_Transport (void)
| Default destructor. More...
## Private Methods
void | set_bidir_context_info (TAO_Operation_Details &opdetails)
| Set the Bidirectional context info in the service context list. More...
int | get_listen_point (IIOP::ListenPointList &listen_point_list, TAO_Acceptor *acceptor)
| Add the listen points in <acceptor> to the <listen_point_list> if this connection is in the same interface as that of the endpoints in the <acceptor>. More...
## Private Attributes
TAO_IIOP_Connection_Handler * | connection_handler_
| The connection service handler used for accessing lower layer communication protocols. More...
TAO_Pluggable_Messaging * | messaging_object_
| Our messaging object. More...

## Detailed Description

Specialization of the base TAO_Transport class to handle the IIOP protocol.

## Constructor & Destructor Documentation

TAO_IIOP_Transport::TAO_IIOP_Transport | ( | TAO_IIOP_Connection_Handler * | handler,
|  | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag
| ) |

| Constructor.

TAO_IIOP_Transport::~TAO_IIOP_Transport | ( | void |  | ) |

| Default destructor.

## Member Function Documentation

ACE_Event_Handler * TAO_IIOP_Transport::event_handler_i | ( | void |  | ) | `[protected, virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

int TAO_IIOP_Transport::generate_request_header | ( | TAO_Operation_Details & | opdetails,
|  | TAO_Target_Specification & | spec,
|  | TAO_OutputCDR & | msg
| ) | `[virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

int TAO_IIOP_Transport::get_listen_point | ( | IIOP::ListenPointList & | listen_point_list,
|  | TAO_Acceptor * | acceptor
| ) | `[private]`

| Add the listen points in <acceptor> to the <listen_point_list> if this connection is in the same interface as that of the endpoints in the <acceptor>.

int TAO_IIOP_Transport::messaging_init | ( | CORBA::Octet | major,
|  | CORBA::Octet | minor
| ) | `[virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

TAO_Pluggable_Messaging * TAO_IIOP_Transport::messaging_object | ( | void |  | ) | `[protected, virtual]`

| Access the underlying messaging object. Reimplemented from TAO_Transport.

ssize_t TAO_IIOP_Transport::recv_i | ( | char * | buf,
|  | size_t | len,
|  | const ACE_Time_Value * | max_wait_time = 0
| ) | `[protected, virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

int TAO_IIOP_Transport::register_handler_i | ( | void |  | ) | `[protected, virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

ssize_t TAO_IIOP_Transport::send_i | ( | iovec * | iov,
|  | int | iovcnt,
|  | size_t & | bytes_transferred,
|  | const ACE_Time_Value * | max_wait_time = 0
| ) | `[protected, virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

int TAO_IIOP_Transport::send_message | ( | TAO_OutputCDR & | stream,
|  | TAO_Stub * | stub = 0,
|  | int | twoway = 1,
|  | ACE_Time_Value * | max_wait_time = 0
| ) | `[virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

int TAO_IIOP_Transport::send_request | ( | TAO_Stub * | stub,
|  | TAO_ORB_Core * | orb_core,
|  | TAO_OutputCDR & | stream,
|  | int | two_way,
|  | ACE_Time_Value * | max_wait_time
| ) | `[virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

void TAO_IIOP_Transport::set_bidir_context_info | ( | TAO_Operation_Details & | opdetails | ) | `[private]`

| Set the Bidirectional context info in the service context list.

int TAO_IIOP_Transport::tear_listen_point_list | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

| TODO: These methods IMHO should have more meaningful names. The names seem to indicate nothing. @ Reimplemented from TAO_Transport.

void TAO_IIOP_Transport::transition_handler_state_i | ( | void |  | ) | `[protected, virtual]`

| Method to do whatever it needs to do when the connection handler is being closed and destroyed. Reimplemented from TAO_Transport.

## Member Data Documentation

TAO_IIOP_Connection_Handler* TAO_IIOP_Transport::connection_handler_`[private]`

| The connection service handler used for accessing lower layer communication protocols.

TAO_Pluggable_Messaging* TAO_IIOP_Transport::messaging_object_`[private]`

| Our messaging object.

The documentation for this class was generated from the following files:

- IIOP_Transport.h
- IIOP_Transport.cpp